# Record TCefWaitableEvent

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefWaitableEvent = record`

## Description

WaitableEvent is a thread synchronization tool that allows one thread to wait for another thread to finish some work. This is equivalent to using a Lock+ConditionVariable to protect a simple boolean value. However, using WaitableEvent in conjunction with a Lock to wait for a more complex state change (e.g., for an item to be added to a queue) is not recommended. In that case consider using a ConditionVariable instead of a WaitableEvent. It is safe to create and/or signal a WaitableEvent from any thread. Blocking on a WaitableEvent by calling the *wait() functions is not allowed on the browser process UI or IO threads.

NOTE: This struct is allocated DLL-side.

Implemented by ICefWaitableEvent.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_waitable_event_capi.h">CEF source file: /include/capi/cef_waitable_event_capi.h (cef_waitable_event_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `reset: procedure(self: PCefWaitableEvent); stdcall;`
| `signal: procedure(self: PCefWaitableEvent); stdcall;`
| `is_signaled: function(self: PCefWaitableEvent): integer; stdcall;`
| `wait: procedure(self: PCefWaitableEvent); stdcall;`
| `timed_wait: function(self: PCefWaitableEvent; max_ms: int64): integer; stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `reset: procedure(self: PCefWaitableEvent); stdcall;`
This item has no description.

| `signal: procedure(self: PCefWaitableEvent); stdcall;`
This item has no description.

| `is_signaled: function(self: PCefWaitableEvent): integer; stdcall;`
This item has no description.

| `wait: procedure(self: PCefWaitableEvent); stdcall;`
This item has no description.

| `timed_wait: function(self: PCefWaitableEvent; max_ms: int64): integer; stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.